2019-08-21 22:17 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000215mercuryBugpublic2011-09-05 14:50
Reporteraross 
Assigned Tojuliensf 
PrioritynormalSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000215: Documentation of assoc_list.filter/4 is missing the TrueList argument
DescriptionIn the first line of the documentation of assoc_list.filter/4 there is a missing argument, TrueList, which should appear between List and FalseList:

    % assoc_list.filter(Pred, List, FalseList) takes a closure with one
    % input argument and for each member K - V of List X, calls the closure
    % on the key. K - V is included in TrueList iff Pred(K) is true.
    % K - V is included in FalseList iff Pred(K) is false.
    %
:- pred assoc_list.filter(pred(K)::in(pred(in) is semidet),
    assoc_list(K, V)::in, assoc_list(K, V)::out, assoc_list(K, V)::out) is det.
Additional Informationrotd-2011-09-03
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000357

juliensf (administrator)

Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-05 14:37 aross New Issue
2011-09-05 14:50 juliensf Note Added: 0000357
2011-09-05 14:50 juliensf Status new => resolved
2011-09-05 14:50 juliensf Resolution open => fixed
2011-09-05 14:50 juliensf Assigned To => juliensf
+Issue History